#
# spec file for package ghc-hasmin
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hasmin
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.3.3.1
Release:        3.1
Summary:        CSS Minifier
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-gitrev-devel
BuildRequires:  ghc-hopfli-devel
BuildRequires:  ghc-matrix-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-numbers-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-parsers-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-doctest-discover-devel
BuildRequires:  ghc-hspec-attoparsec-devel
BuildRequires:  ghc-hspec-devel
%endif

%description
A CSS minifier which not only aims at reducing the amount of bytes of the
output, but also at improving gzip compression. It may be used as a library, or
a stand-alone executable. For the library, refer to the Hasmin module
documentation. For the program: the output is the minified CSS file, but hasmin
allows also its compression into gzip using Google's Zopfli library.

To use it: ./hasmin input.css > output.css

By default, most minification techniques are enabled. For a list of available
flags, do: ./hasmin --help.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE
%{_bindir}/%{pkg_name}

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Mon Nov  6 2017 psimons@suse.com
- Update to version 0.3.3.1.
  A more detailed change log is not available.
* Tue Oct 17 2017 psimons@suse.com
- Update to version 0.3.3.
  A more detailed change log is not available.
* Thu Aug 17 2017 psimons@suse.com
- Update to version 0.3.2.4.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 0.3.2.2.
